Skip to main content
GET
/
api
/
weather
Get weather forecast
curl --request GET \
  --url https://api.propops.app/api/weather \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "message": "Operation completed successfully",
  "data": [
    {
      "date": "2023-12-25",
      "temperature_max": 123,
      "temperature_min": 123,
      "weather_code": 123,
      "precipitation_sum": 123
    }
  ],
  "cached": false
}

Authorizations

Authorization
string
header
required

All API requests must include a valid Bearer token in the Authorization header. Tokens are 64-character SHA-256 session hashes issued by the PropOps authentication system.

Example:

Authorization: Bearer a1b2c3d4e5f6...

Query Parameters

lat
number<float>
required
Example:

51.5074

lon
number<float>
required
Example:

-0.1278

start_date
string<date>
required
Example:

"2026-04-06"

end_date
string<date>
required
Example:

"2026-04-12"

Response

Weather forecast data

success
boolean
Example:

true

message
string
Example:

"Operation completed successfully"

data
object[]
cached
boolean
Example:

false